JEditorPane.JEditorPaneAccessibleHypertextSupport (Java Platform SE 8 )
Keywords: javax.swing.JEditorPane.JEditorPaneAccessibleHypertextSupport class
Date: 2026-04-17

javax.swing

## Class JEditorPane.JEditorPaneAccessibleHypertextSupport

- java.lang.Object
- - javax.accessibility.AccessibleContext
  - - java.awt.Component.AccessibleAWTComponent
    - - java.awt.Container.AccessibleAWTContainer
      - - javax.swing.JComponent.AccessibleJComponent
        - - javax.swing.text.JTextComponent.AccessibleJTextComponent
          - - javax.swing.JEditorPane.AccessibleJEditorPane
            - - javax.swing.JEditorPane.JEditorPaneAccessibleHypertextSupport

- All Implemented Interfaces:
    Serializable, EventListener, AccessibleAction, AccessibleComponent, AccessibleEditableText, AccessibleExtendedComponent, AccessibleExtendedText, AccessibleHypertext, AccessibleText, CaretListener, DocumentListener
  Enclosing class:
    JEditorPane

      protected class JEditorPane.JEditorPaneAccessibleHypertextSupport
      extends JEditorPane.AccessibleJEditorPane
      implements AccessibleHypertext

  What's returned by `AccessibleJEditorPaneHTML.getAccessibleText`. Provides support for `AccessibleHypertext` in case there is an HTML document being displayed in this `JEditorPane`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `JEditorPane.JEditorPaneAccessibleHypertextSupport.HTMLLink`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent.AccessibleJComponent

      `JComponent.AccessibleJComponent.AccessibleContainerHandler, JComponent.AccessibleJComponent.AccessibleFocusHandler`

    - ### Nested classes/interfaces inherited from class java.awt.Component.AccessibleAWTComponent

      `Component.AccessibleAWTComponent.AccessibleAWTComponentHandler, Component.AccessibleAWTComponent.AccessibleAWTFocusHandler`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.JComponent.AccessibleJComponent

      `accessibleFocusHandler`

    - ### Fields inherited from class java.awt.Container.AccessibleAWTContainer

      `accessibleContainerHandler`

    - ### Fields inherited from class java.awt.Component.AccessibleAWTComponent

      `accessibleAWTComponentHandler, accessibleAWTFocusHandler`

    - ### Fields inherited from class javax.accessibility.AccessibleContext

      `ACCESSIBLE_ACTION_PROPERTY, ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_COMPONENT_BOUNDS_CHANGED, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_HYPERTEXT_OFFSET, ACCESSIBLE_INVALIDATE_CHILDREN, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TABLE_CAPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_HEADER_CHANGED, ACCESSIBLE_TABLE_MODEL_CHANGED, ACCESSIBLE_TABLE_ROW_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_ROW_HEADER_CHANGED, ACCESSIBLE_TABLE_SUMMARY_CHANGED, ACCESSIBLE_TEXT_ATTRIBUTES_CHANGED, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

    - ### Fields inherited from interface javax.accessibility.AccessibleText

      `CHARACTER, SENTENCE, WORD`

    - ### Fields inherited from interface javax.accessibility.AccessibleAction

      `CLICK, DECREMENT, INCREMENT, TOGGLE_EXPAND, TOGGLE_POPUP`

    - ### Fields inherited from interface javax.accessibility.AccessibleExtendedText

      `ATTRIBUTE_RUN, LINE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JEditorPaneAccessibleHypertextSupport()` Make one of these puppies

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AccessibleHyperlink` | `getLink(int linkIndex)` Returns the index into an array of hyperlinks that index.
    `int` | `getLinkCount()` Returns the number of links within this hypertext doc.
    `int` | `getLinkIndex(int charIndex)` Returns the index into an array of hyperlinks that is associated with this character index, or -1 if there is no hyperlink associated with this index.
    `String` | `getLinkText(int linkIndex)` Returns the contiguous text within the document that is associated with this hyperlink.

    - ### Methods inherited from class javax.swing.JEditorPane.AccessibleJEditorPane

      `getAccessibleDescription, getAccessibleStateSet`

    - ### Methods inherited from class javax.swing.text.JTextComponent.AccessibleJTextComponent

      `caretUpdate, changedUpdate, cut, delete, doAccessibleAction, getAccessibleAction, getAccessibleActionCount, getAccessibleActionDescription, getAccessibleEditableText, getAccessibleRole, getAccessibleText, getAfterIndex, getAtIndex, getBeforeIndex, getCaretPosition, getCharacterAttribute, getCharacterBounds, getCharCount, getIndexAtPoint, getSelectedText, getSelectionEnd, getSelectionStart, getTextBounds, getTextRange, getTextSequenceAfter, getTextSequenceAt, getTextSequenceBefore, insertTextAtIndex, insertUpdate, paste, removeUpdate, replaceText, selectText, setAttributes, setTextContents`

    - ### Methods inherited from class javax.swing.JComponent.AccessibleJComponent

      `addPropertyChangeListener, getAccessibleChild, getAccessibleChildrenCount, getAccessibleKeyBinding, getAccessibleName, getBorderTitle, getTitledBorderText, getToolTipText, removePropertyChangeListener`

    - ### Methods inherited from class java.awt.Container.AccessibleAWTContainer

      `getAccessibleAt`

    - ### Methods inherited from class java.awt.Component.AccessibleAWTComponent

      `addFocusListener, contains, getAccessibleComponent, getAccessibleIndexInParent, getAccessibleParent, getBackground, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

    - ### Methods inherited from class javax.accessibility.AccessibleContext

      `firePropertyChange, getAccessibleIcon, getAccessibleRelationSet, getAccessibleSelection, getAccessibleTable, getAccessibleValue, setAccessibleDescription, setAccessibleName, setAccessibleParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.accessibility.AccessibleText

      `getAfterIndex, getAtIndex, getBeforeIndex, getCaretPosition, getCharacterAttribute, getCharacterBounds, getCharCount, getIndexAtPoint, getSelectedText, getSelectionEnd, getSelectionStart`

    - ### Methods inherited from interface javax.accessibility.AccessibleComponent

      `addFocusListener, contains, getAccessibleAt, getBackground, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

- - ### Constructor Detail

    - #### JEditorPaneAccessibleHypertextSupport

          public JEditorPaneAccessibleHypertextSupport()

      Make one of these puppies

  - ### Method Detail

    - #### getLinkCount

          public int getLinkCount()

      Returns the number of links within this hypertext doc.
      Specified by:
        `getLinkCount` in interface `AccessibleHypertext`
      Returns:
        number of links in this hypertext doc.

    - #### getLinkIndex

          public int getLinkIndex(int charIndex)

      Returns the index into an array of hyperlinks that is associated with this character index, or -1 if there is no hyperlink associated with this index.
      Specified by:
        `getLinkIndex` in interface `AccessibleHypertext`
      Parameters:
        `charIndex` - index within the text
      Returns:
        index into the set of hyperlinks for this hypertext doc.

    - #### getLink

          public AccessibleHyperlink getLink(int linkIndex)

      Returns the index into an array of hyperlinks that index. If there is no hyperlink at this index, it returns null.
      Specified by:
        `getLink` in interface `AccessibleHypertext`
      Parameters:
        `linkIndex` - into the set of hyperlinks for this hypertext doc.
      Returns:
        string representation of the hyperlink

    - #### getLinkText

          public String getLinkText(int linkIndex)

      Returns the contiguous text within the document that is associated with this hyperlink.
      Parameters:
        `linkIndex` - into the set of hyperlinks for this hypertext doc.
      Returns:
        the contiguous text sharing the link at this index

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.